Application installation from APS catalog fails on Plesk server: The 'mysqli' extension was not found

Follow

Comments

15 comments

  • Avatar
    Ivan Postnikov

    Hello Swen Andrew

    I would suggest contacting support, additional investigation is required.

    0
    Comment actions Permalink
  • Avatar
    Peter Trüb

    Same problem with Drupal update, neither php 7.3 nor 7.2 are working, extensions are installed:

    Updating an installation of Drupal 7.73-128 has failed:
    • The following problems with requirements were found: The PHP memory limit is 0 bytes. The app requires at least 40M bytes.; The 'mysqli' extension was not found.; The 'mbstring' extension was not found.; The 'date' extension was not found.; The 'dom' extension was not found.; The 'filter' extension was not found.; The 'gd' extension was not found.; The 'hash' extension was not found.; The 'json' extension was not found.; The 'pcre' extension was not found.; The 'PDO' extension was not found.; The 'session' extension was not found.; The 'SimpleXML' extension was not found.; The 'SPL' extension was not found.; The 'xml' extension was not found.

     

     

    0
    Comment actions Permalink
  • Avatar
    Swen Andrew (Edited )

    I Have this exact Problem but turning on the extensions does not help. The extensions are actually all activated but the Installer doesnt recognize them.
    I tried switching them on and off but that didnt help either. The Installer still doesnt recognize that there there. This is with a Joomla Update.

    0
    Comment actions Permalink
  • Avatar
    Yurii Samonov

    Hello,

    Have the same issue, when flags turned ON on both php 7.2 or 7.3 versions.

    Plesk Obsidian Web Pro Edition
    Version 18.0.30 Update #2

    Ununtu 16.04

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello Yurii Samonov

    Additional investigation is required to understand why it happens.

    Submit a support request to us or to our partner depending on where Plesk license was purchased.

    0
    Comment actions Permalink
  • Avatar
    Christoph Wesselburg

    I have the same problem as described above with the installation of Sugar CRM. Same Version of PHP, it says the extension is there, but not recognized. Even the workaround "switching to previous 72.33 php Version and back to 7.33" does not work for me.

    Any updates or solutions yet?

    0
    Comment actions Permalink
  • Avatar
    Christoph Wesselburg

    sorry 7.2 to 7.3 of course...

    0
    Comment actions Permalink
  • Avatar
    Nelson Leiva

    Hi Christoph Wesselburg

    I recommend try using another PHP version if possible and see if the issue persists. If that doesn't help, I'd suggest contacting our support team as further investigation might be required on the server.

    0
    Comment actions Permalink
  • Avatar
    1&1 IONOS

    Hi Folks, this article says "applicable to" both Linux and Windows but step 3 is for Linux only, then the linked article is also only applicable to Linux. Is there another solution for Windows?

    0
    Comment actions Permalink
  • Avatar
    Swen Andrew

    The next joomla update the Problem returened again. I again switched back to 7.2 and tne 7.3 to solve it.

    0
    Comment actions Permalink
  • Avatar
    Swen Andrew

    Plesk Obsidian Version 18.0.27 (Problem persisted in earlier versions as well)
    Ubuntu 18.04.4
    PHP 7.3.17

    I was able to resolve the issue by switching the site back to PHP 7.2 and then switching back to PHP 7.3

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Hello Swen Andrew

    Please, let me know the OS and Plesk version you're using so that we could try it on a test instance.

    0
    Comment actions Permalink
  • Avatar
    Peter Trüb

    I could solve the problem by switching from "FPM application served by Apache" to "FPM application served by nginx". No idea why this helps, because there is no obvious relation to the PHP extensions mentioned in the error message.

    0
    Comment actions Permalink
  • Avatar
    Ivan Postnikov

    Swen Andrew

    Thank you for the provided info.

    During the version switch, domain PHP configuration was regenerated.

    However, the reason why this happened previously is unclear and an investigation is required.

    0
    Comment actions Permalink
  • Avatar
    Mikhail Shport

    Hello 1&1 IONOS,

    Thank you for bringing our attention to this fact. The article has been updated to make the information more explicit.

    Note: The module mysqlnd is used during the compilation of mysql, mysqli, and pdo_mysql on WIndows so it is included but not visible.

    0
    Comment actions Permalink

Please sign in to leave a comment.

Have more questions? Submit a request